Page MenuHomePhabricator

Simplify readiness checking by making a ready computed
Closed, DeclinedPublic

Description

We have checks all over our templates that make sure stuff is ready to be rendered, like:

ko if: metric && metric() && (mergedData && mergedData() && mergedData().header.length)

Instead of that, we could have a computed property on the view model that checked all those things and was true when they were all ready to be rendered.

Related Objects

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 6:38 PM
Danny_B renamed this task from dashiki: Simplify readiness checking by making a ready computed to Simplify readiness checking by making a ready computed.May 24 2016, 8:37 PM
Danny_B added a project: Analytics-Dashiki.
mforns moved this task from Incoming to Dashiki on the Analytics board.May 30 2016, 4:11 PM
Nuria moved this task from Dashiki to Backlog (Later) on the Analytics board.Jul 4 2016, 5:01 PM
Nuria moved this task from Backlog (Later) to Deprioritized on the Analytics board.Feb 9 2017, 4:57 PM
Milimetric closed this task as Declined.Aug 31 2020, 5:28 PM

manually merged into T168573, to make it easier to triage and decide on the future of Dashiki.